Loading...
Searching...
No Matches
bsoncxx::v1::types::b_regex Struct Reference

`#include <bsoncxx/v1/types/view.hpp>`

## Description

BSON type value "Regular Expression".

## Public Member Functions

| b_regex ()=default
| Zero-initialize the represented value.
| b_regex (v1::stdx::string_view regex)
| Initialize with regex and an empty options.
| b_regex (v1::stdx::string_view regex, v1::stdx::string_view options)
| Initialize with regex and options.

## Public Attributes

v1::stdx::string_view | options
| The represented value's "options" component.
v1::stdx::string_view | regex
| The represented value's "pattern" component.

## Static Public Attributes

static constexpr id | type_id = id::k_regex
| The type represented by this BSON type value.

## Friends

bool | operator!= (b_regex const &lhs, b_regex const &rhs)
| Equivalent to !(lhs == rhs).
bool | operator== (b_regex const &lhs, b_regex const &rhs)
| Equivalent to lhs.regex == rhs.regex && lhs.options == rhs.options.

## Constructor & Destructor Documentation

## b_regex() [1/3]

bsoncxx::v1::types::b_regex::b_regex | ( |  | ) |

default

Zero-initialize the represented value.

## b_regex() [2/3]

bsoncxx::v1::types::b_regex::b_regex | ( | v1::stdx::string_view | regex | ) |

inline explicit

Initialize with regex and an empty options.

## b_regex() [3/3]

bsoncxx::v1::types::b_regex::b_regex | ( | v1::stdx::string_view | regex,
|  | v1::stdx::string_view | options )

inline

Initialize with regex and options.

## Friends And Related Symbol Documentation

## operator!=

bool operator!= | ( | b_regex const & | lhs,
|  | b_regex const & | rhs )

friend

Equivalent to !(lhs == rhs).

## operator==

bool operator== | ( | b_regex const & | lhs,
|  | b_regex const & | rhs )

friend

Equivalent to lhs.regex == rhs.regex && lhs.options == rhs.options.

## Member Data Documentation

## options

v1::stdx::string_view bsoncxx::v1::types::b_regex::options

The represented value's "options" component.

## regex

v1::stdx::string_view bsoncxx::v1::types::b_regex::regex

The represented value's "pattern" component.

## type_id

id bsoncxx::v1::types::b_regex::type_id = id::k_regex

static constexpr

The type represented by this BSON type value.

The documentation for this struct was generated from the following file:

- bsoncxx/v1/types/view.hpp